DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Types | Public Member Functions | List of all members
OFLogger Class Reference

simple wrapper around the "low-level" Logger object to make it easier to switch to a different system More...

Inheritance diagram for OFLogger:

## Public Types
enum | LogLevel { TRACE_LOG_LEVEL = dcmtk::log4cplus::TRACE_LOG_LEVEL , DEBUG_LOG_LEVEL = dcmtk::log4cplus::DEBUG_LOG_LEVEL , INFO_LOG_LEVEL = dcmtk::log4cplus::INFO_LOG_LEVEL , WARN_LOG_LEVEL = dcmtk::log4cplus::WARN_LOG_LEVEL , ERROR_LOG_LEVEL = dcmtk::log4cplus::ERROR_LOG_LEVEL , FATAL_LOG_LEVEL = dcmtk::log4cplus::FATAL_LOG_LEVEL , OFF_LOG_LEVEL = dcmtk::log4cplus::OFF_LOG_LEVEL }
| these are the log levels that you can feed to isEnabledFor() More...

## Public Member Functions
| OFLogger (const dcmtk::log4cplus::Logger &base)
| copy constructor More...
LogLevel | getChainedLogLevel () const
| Get the logger's log level. More...
Public Member Functions inherited from dcmtk::log4cplus::Logger
void | assertion (bool assertionVal, const log4cplus::tstring &msg) const
| If `assertionVal` parameter is `false`, then logs `msg` with FATAL_LOG_LEVEL log level. More...
void | closeNestedAppenders () const
| Close all attached appenders implementing the AppenderAttachable interface. More...
bool | isEnabledFor (LogLevel ll) const
| Check whether this logger is enabled for a given LogLevel passed as parameter. More...
void | log (LogLevel ll, const log4cplus::tstring &message, const char *file=NULL, int line=-1) const
| This generic form is intended to be used by wrappers.
void | forcedLog (LogLevel ll, const log4cplus::tstring &message, const char *file=NULL, int line=-1) const
| This method creates a new logging event and logs the event without further checks. More...
void | callAppenders (const spi::InternalLoggingEvent &event) const
| Call the appenders in the hierrachy starting at `this`. More...
LogLevel | getChainedLogLevel () const
| Starting from this logger, search the logger hierarchy for a "set" LogLevel and return it. More...
LogLevel | getLogLevel () const
| Returns the assigned LogLevel, if any, for this Logger. More...
void | setLogLevel (LogLevel ll)
| Set the LogLevel of this Logger.
Hierarchy & | getHierarchy () const
| Return the the Hierarchy where this `Logger` instance is attached.
log4cplus::tstring const & | getName () const
| Return the logger name. More...
bool | getAdditivity () const
| Get the additivity flag for this Logger instance. More...
void | setAdditivity (bool additive)
| Set the additivity flag for this Logger instance.
Logger | getParent () const
| Used to retrieve the parent of this Logger in the Logger tree.

## Additional Inherited Members
Static Public Member Functions inherited from dcmtk::log4cplus::Logger
static bool | exists (const log4cplus::tstring &name)
| Returns `true` if the named logger exists (in the default hierarchy). More...
static Hierarchy & | getDefaultHierarchy ()
| Return the default Hierarchy instance.
static Logger | getInstance (const log4cplus::tstring &name)
| Retrieve a logger with name `name`. More...
static Logger | getInstance (const log4cplus::tstring &name, spi::LoggerFactory &factory)
| Like getInstance() except that the type of logger instantiated depends on the type returned by the {} method of the `factory` parameter. More...
static Logger | getRoot ()
| Return the root of the default logger hierrachy. More...
static void | shutdown ()
| Calling this method will safely close and remove all appenders in all the loggers including root contained in the default hierarchy. More...
Protected Attributes inherited from dcmtk::log4cplus::Logger
spi::LoggerImpl * | value
| This is a pointer to the implementation class.

## Detailed Description

simple wrapper around the "low-level" Logger object to make it easier to switch to a different system

## Member Enumeration Documentation

## ◆ LogLevel

enum OFLogger::LogLevel

these are the log levels that you can feed to isEnabledFor()

Enumerator
TRACE_LOG_LEVEL | trace: output more details on the internal application state, a kind of "verbose debug"
DEBUG_LOG_LEVEL | debug: fine-grained informational events that are most useful to debug an application
INFO_LOG_LEVEL | info: informational messages that highlight the progress of the application at coarse-grained level
WARN_LOG_LEVEL | warn: potentially harmful situations
ERROR_LOG_LEVEL | error: events that might still allow the application to continue running
FATAL_LOG_LEVEL | fatal: very severe error events that will presumably lead the application to abort
OFF_LOG_LEVEL | internal: turn off logging completely

## Constructor & Destructor Documentation

## ◆ OFLogger()

OFLogger::OFLogger | ( | const dcmtk::log4cplus::Logger & | base | ) |

copy constructor

Parameters

  base | object to be copied

## Member Function Documentation

## ◆ getChainedLogLevel()

LogLevel OFLogger::getChainedLogLevel | ( |  | ) | const
| inline

Get the logger's log level.

One of the checks that isEnabledFor() does looks like this: if (getChainedLogLevel() < level) return false;

Returns
  the log level to which this logger is set.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/oflog.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1